Bug 1202796

Summary: podofo package needs source update for epel7 ppc64le/aarch64
Product: [Fedora] Fedora EPEL Reporter: Menanteau Guy <menantea>
Component: podofoAssignee: Dan HorĂ¡k <dan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: dan, yselkowi
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: podofo-0.9.1-17.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-10 10:28:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1197165, 1285484    

Description Menanteau Guy 2015-03-17 13:08:04 UTC
Source package podofo-0.9.1-12 used by EPEL7 does not support ppc64le (little endian)
A newer version supporting this architecture should be used instead.

Typical problem in spec of 0.9.1-12 old version:
%build
%cmake -DPODOFO_BUILD_SHARED=1 \
%ifarch x86_64 ppc64 s390x sparc64
-DWANT_LIB64=1 \
%endif

ppc64le is not set in %ifarch statement.

Comment 1 Yaakov Selkowitz 2015-11-26 01:18:39 UTC
Same for aarch64.  A simple merge from master is probably the best way to fix this.

Comment 2 Fedora Update System 2015-12-07 00:20:00 UTC
podofo-0.9.1-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3e228f4037

Comment 3 Fedora Update System 2015-12-08 07:21:50 UTC
podofo-0.9.1-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update podofo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3e228f4037

Comment 4 Fedora Update System 2015-12-10 10:28:38 UTC
podofo-0.9.1-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.